package com.unis.base.server.service;

import java.io.IOException;
import java.util.List;

import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import com.unis.base.server.entity.TyChubeilyynbao;
import com.unis.common.utils.ResponseWrapper;

public interface CblyBbService {

	List<TyChubeilyynbao> importByFile(MultipartFile file, String cjdw, Integer type, String baobiaoshijian,
			Integer yuebaoornianbao)throws IOException;

	ResponseWrapper importByEntityResult(MultipartFile file, String cjdw, Integer type, String baobiaoshijian,
			Integer yuebaoornianbao) throws IOException;

	List<TyChubeilyynbao> queryList(TyChubeilyynbao chubeilyynbao);

	HSSFWorkbook exportByEntity(Integer type, String baobiaoshijian, Integer yuebaoornianbao);

	HSSFWorkbook getCells(Integer sumColumn, HSSFSheet sheet, HSSFWorkbook wb, String baobiaoshijian, Integer type,
			Integer yuebaoornianbao);



}
